.text-purple-gradient {
  color: transparent;
  background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
  -webkit-background-clip: text;
}

.hyperlink {
  @extend .text-purple-gradient;
  position: relative;

  &::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 1px;
    background-image: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
    height: 1px;
  }
}

.btn {
  position: relative;
  font-weight: bold;
  font-size: 18px;
  line-height: 130%;
  z-index: 1;
  border: 1px solid rgba(140, 65, 206, 1);
  padding: 24px 80px;
  border-radius: 82px;

  &:not(:disabled) {
    &:hover {
      @extend .text-purple-gradient
    }
  }

  &::before, &::after {
    content: '';
    position: absolute;
    top: 0;
    width: 93px;
    height: 100%;
    filter: blur(40px);
  }

  &::after {
    top: -10px;
    right: 0;
    background: rgba(0, 167, 157, 0.4);;
  }

  &::before {
    top: 10px;
    left: 0;
    background: rgba(140, 65, 206, 0.4);
  }

  &.sm {
    padding: 16px 60px;
  }

  &.vsm {
    padding: 12px 40px;
  }
}

.crypto-com-nft-image {
  @media (max-width: 1200px) {
    margin-left: 10px;
    width: 127px;
  }
}

.opensea-image {
  @media (max-width: 1200px) {
    width: 100px;
    margin-left: 10px;
  }
}
